net.sf.jasperreports.engine.export

## Class HtmlFont

- java.lang.Object
- - net.sf.jasperreports.engine.export.HtmlFont

-     public class HtmlFont
      extends java.lang.Object

  Version:
    $Id: HtmlExporter.java 6376 2013-08-12 16:21:55Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEot()`
    `java.lang.String` | `getFontName()`
    `java.lang.String` | `getId()`
    `static HtmlFont` | `getInstance(JasperReportsContext jasperReportsContext, java.lang.String htmlFontId)`
    `static HtmlFont` | `getInstance(java.util.Locale locale, FontInfo fontInfo, boolean isBold, boolean isItalic)`
    `java.util.Locale` | `getLocale()`
    `int` | `getStyle()`
    `java.lang.String` | `getSvg()`
    `java.lang.String` | `getTtf()`
    `java.lang.String` | `getWoff()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static HtmlFont getInstance(java.util.Locale locale,
                             FontInfo fontInfo,
                             boolean isBold,
                             boolean isItalic)

    - #### getInstance

          public static HtmlFont getInstance(JasperReportsContext jasperReportsContext,
                             java.lang.String htmlFontId)

    - #### getId

          public java.lang.String getId()

    - #### getLocale

          public java.util.Locale getLocale()

    - #### getFontName

          public java.lang.String getFontName()

    - #### getTtf

          public java.lang.String getTtf()

    - #### getEot

          public java.lang.String getEot()

    - #### getSvg

          public java.lang.String getSvg()

    - #### getWoff

          public java.lang.String getWoff()

    - #### getStyle

          public int getStyle()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com